summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaromil <jaromil@dyne.org>2014-06-30 09:05:48 (GMT)
committer Jaromil <jaromil@dyne.org>2014-06-30 09:20:50 (GMT)
commit550199d23135e754f19275bb71dbfeeafaad4b42 (patch)
treef07927922a5bad0968c4858a569784f741ff3fe3
parent2c477da395c97726c2a69ae995fa12c997bd8ee3 (diff)
midnight commander build
-rw-r--r--build/gnomish/Sources28
-rw-r--r--build/gnomish/conf.zsh62
2 files changed, 90 insertions, 0 deletions
diff --git a/build/gnomish/Sources b/build/gnomish/Sources
new file mode 100644
index 0000000..887beb4
--- /dev/null
+++ b/build/gnomish/Sources
@@ -0,0 +1,28 @@
+# ZShaoling packages file
+
+libiconv -1.14 .tar.gz http://www.gnu.org/software/libiconv
+libffi -3.0.13 .tar.gz http://sourceware.org/libffi/
+glib -2.39.1 .tar.xz
+
+# midnight commander
+mc -4.8.10 .tar.bz2
+
+
+#bitlbee -3.2 .tar.gz http://www.bitlbee.org
+
+
+#libsigc++ -2.3.1 .tar.xz
+#libtorrent -0.13.2 .tar.gz http://libtorrent.rakshasa.no
+#rtorrent -0.9.2 .tar.gz
+
+# expat -2.1.0 .tar.gz
+
+# Python -2.7.5 .tar.xz
+
+# dstat -0.7.2 .tar.bz2 http://dag.wiee.rs/home-made/dstat
+
+# irssi -0.8.16-rc1 .tar.bz2 http://www.irssi.org
+
+
+# aria2 from android binary build direct
+# aria2 -1.18.1 .tar.bz2 http://aria2.sourceforge.net
diff --git a/build/gnomish/conf.zsh b/build/gnomish/conf.zsh
new file mode 100644
index 0000000..bb5362e
--- /dev/null
+++ b/build/gnomish/conf.zsh
@@ -0,0 +1,62 @@
+prepare_sources
+
+# compile libiconv default "--enable-relocatable --disable-shared --enable-static=yes"
+{ test -r $PREFIX/lib/libiconv.a } || {
+pushd libiconv
+zconfigure default "--enable-relocatable --disable-shared --enable-static=yes"
+make -k
+make -k install
+popd
+}
+
+# make libffi
+compile libffi default "--disable-shared --enable-static --enable-portable-binary"
+zinstall libffi
+
+# make glib
+compile glib default "--disable-shared --enable-static"
+zinstall glib
+
+# midnight commander
+compile mc default
+zinstall mc
+
+
+return
+
+
+
+###################
+# experiments below
+
+# bitlbee (should go in crypto rly)
+compile bitlbee default
+zinstall bitlbee
+
+
+# rtorrent (libsigc++ and libtorrent)
+sed -i 's@examples@@' libsigc++/Makefile.in
+compile libsigc++ default "--disable-shared --enable-static"
+zinstall libsigc++
+compile libtorrent default "--disable-shared --enable-static --enable-aligned --with-kqueue=no"
+zinstall libtorrent
+# OK!
+
+# rtorrent not working :^(
+compile rtorrent default
+zinstall rtorrent
+
+return
+# python stuff below
+
+compile expat default
+zinstall expat
+
+
+compile Python default "--build=x86_64-unknown-linux-gnu --disable-shared --with-system-expat --with-system-ffi --disable-ipv6"
+zinstall Python
+
+compile dstat default
+zinstall dstat
+
+